Bug 1493093 - rhel7 installation creates two network devices for just one network device
Summary: rhel7 installation creates two network devices for just one network device
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: 7.4
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1293539
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 11:13 UTC by Supreet
Modified: 2020-12-14 10:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1293539
Environment:
Last Closed: 2017-10-17 07:58:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Supreet 2017-09-19 11:19:56 UTC
Case description :

The issue was resolved in RHEL7.3 but appears again in RHEL7.4. 

They installed RHEL7.4 and had the same issue in that ksdev0 was shown during the install rather than eth0 and at the end of the installation there was a ksdev0 device and not en0 as expected - there was an ifcfg-en0 file but the interface was not up and would not come up either.

Cmdline :
BOOT_IMAGE=/vmlinuz-3.10.0-693.1.1.el7.x86_64 root=/dev/mapper/rootvg-rootlv ro crashkernel=auto rd.lvm.lv=rootvg/rootlv rd.lvm.lv=rootvg/paginglv net.ifnames=0

Kickstart network line :
network --device=00:50:56:A1:13:B1 --bootproto=static --noipv6 --ip=10.245.8.20 --netmask=255.255.255.0 --gateway=10.245.8.1 --nameserver=10.125.97.176

In short, they are observing the interface as ksdev0 which pointed by them is similar to this Bugzilla

Comment 3 Jiri Konecny 2017-09-20 07:14:49 UTC
Hello Supreet,

Could the customer please provides us logs from the installation environment? Logs can be found in /tmp/*.log and syslog.

Thank you.

Comment 4 Supreet 2017-09-21 06:44:32 UTC
Hello Jiri,

I have requested the customer and will update you once I receive from them.

Regards,
Supreet Kaur


Note You need to log in before you can comment on or make changes to this bug.